[script]
n0=on  *:TEXT:*:#: {
n1=  if ($1 == !astro) { Set %astroChan $nick | astro $2 }
n2=}
n3=alias astro {
n4=  set %nom.astro taureau gemeaux cancer lion vierge balance scorpion sagittaire capricorne verseau poissons belier
n5=  if (%bs.symbol3 == $null) { set %bs.symbol3 10[ @strologie ] }
n6=  /set %astro $1
n7=  .verif
n8=}
n9=on 1:Sockopen:Astro:{
n10=  if ($sockerr > 0) { .msg %astroChan 4Erreur ! $sockerr | return }
n11=  if ($time(HH) > 2) {
n12=    .set %dosssier $time(yyyy) $+ $time(mm) $+ $time(dd) | .sockwrite -n Astro GET http://fr.astrology.yahoo.com/daily/ $+ %dosssier $+ / $+ %astro $+ .html 
n13=  }
n14=  else { 
n15=    if ($left($time(dd),1) == 0) { set %dosssier $time(yyyy) $+ $time(mm) $+ 0 $+ $calc($time(d) - 1) | .sockwrite -n Astro GET http://fr.astrology.yahoo.com/daily/ $+ %dosssier $+ / $+ %astro $+ .html }
n16=    else { set %dosssier $time(yyyy) $+ $time(mm) $+ $calc($time(dd) - 1) | .sockwrite -n Astro GET http://fr.astrology.yahoo.com/daily/ $+ %dosssier $+ / $+ %astro $+ .html }
n17=  }
n18=  .sockrename $sockname Astroo
n19=  msg %astroChan 4Ouverture de la page avec succès !Chargement des donnés...
n20=}
n21=on *:Sockread:Astroo:{
n22=  if ($sockerr > 0) { .notice %astroChan 4Probleme de page ! | return }
n23=  :suivant
n24=  .sockread %info.astro
n25=  if (<FONT SIZE="-1"> isin %info.astro) { inc %okiiinfo }
n26=  if (<B>VIE QUOTIDIENNE isin %info.astro) { set %Vqon 1 | halt }
n27=  if (<B>VIE PRIVÉE isin %info.astro) { set %Pvon 1 | halt }
n28=  if (<img src="http://eur.i1.yimg.com/eur.yimg.com/i/fr/ho/etoile.gif" alt=" isin %info.astro && %pvon != $null) { inc %nbpv | set %nbetpv %nbpv Etoile(s) }
n29=  else if (<img src="http://eur.i1.yimg.com/eur.yimg.com/i/fr/ho/etoile.gif" alt=" !isin %info.astro && %pvon != $null) { unset %pvon }
n30=  if (<img src="http://eur.i1.yimg.com/eur.yimg.com/i/fr/ho/etoile.gif" alt=" isin %info.astro && %vqon != $null) { inc %nbvq | set %nbetvq %nbvq Etoile(s) }
n31=  else if (<img src="http://eur.i1.yimg.com/eur.yimg.com/i/fr/ho/etoile.gif alt=" !isin %info.astro && %vqon != $null) { unset %vqon }
n32=  if (<FONT SIZE="-1"> isin %info.astro && (%okiiinfo == 2 || %okiiinfo == 4) || (* isin $left(%info.astro,9) && %oke >= 2))  {
n33=    if (%oke == $null) { set %textastro $remove(%info.astro,<FONT SIZE="-1">,</FONT></p>) | .msg %astroChan 2Vie privé ( $+ %nbetpv sur 3 $+ ) : | msg %astroChan 2 $+ %textastro | set %oke 1 }
n34=    else if (%oke == 1) { set %textastro $remove(%info.astro,<FONT SIZE="-1">,</FONT></p>) | .msg %astroChan 2Vie quotidienne ( $+ %nbetvq sur 3 $+ ) : | .msg %astroChan 2 $+ %textastro | inc %oke }
n35=    else if (%oke == 2) { .set %enplus $remove(%info.astro,<SMALL>,&nbsp;,<br>,<a href="*">,</a>,</SMALL>) | .msg %astroChan 2 $+ %enplus | inc %oke }
n36=    else if (%oke == 3) { .set %enplus $remove(%info.astro,<SMALL>,&nbsp;,<br>,<a href="*">,</a>,</SMALL>) | .msg %astroChan 2 $+ %enplus | inc %oke }
n37=    else if (%oke == 4) { .set %enplus $remove(%info.astro,<SMALL>,&nbsp;,<br>,<a href="*">,</a>,</SMALL>) | .msg %astroChan 2 $+ %enplus | inc %oke }
n38=    else if (%oke == 5) { .set %enplus $remove(%info.astro,<SMALL>,&nbsp;,<br>,</a>,</SMALL>,gémeaux,bélier) | set %sanslien $replace(%enplus,/,.) | set %enplus $remove(%sanslien,$gettok(%sanslien,4,46),<a href=",.daily. $+ %dosssier $+ .,.html">,bélier) | .msg %astroChan 2 $+ %enplus $gettok(%sanslien,4,46) | .msg %astroChan 4Fin de Chargement des données ! :) | unset %oke %nbetvq %nbetpv %nbvq %nbpv %info.astro %okiiinfo | sockclose Astroo | halt }
n39=  }  
n40=  if (%info.astro == $null) { goto fin } 
n41=  goto suivant
n42=  :fin
n43=  halt
n44=}
n45=alias verif {
n46=  set %nbre 1
n47=  :next
n48=  If ($gettok(%nom.astro,%nbre,32) === %astro) { sockopen Astro fr.astrology.yahoo.com 80 | msg %astroChan  4Recherche de la page $1 sur yahoo en cours..... | halt }
n49=  If ($gettok(%nom.astro,%nbre,32) == $null) { goto fin }
n50=  inc %nbre | goto next
n51=  :fin
n52=  .msg %astroChan 4Erreur dans l'orthographe les signes ne doivent pas contenir d'accent , les Bon signes sont : %nom.astro
n53=}
